/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server.svn;

import hu.midori.kosmos.model.util.ZoomableImageLocator;

import java.util.List;
import java.util.Map;

/** Wraps the stats retrieved from the log of a SVN repository. */
class SvnRepositoryContentStats {// TODO rewrite as bean
    /** No of dirs. */
    public int dirs;
    /** No of files. */
    public int files;
    /** Total filesize. */
    public int totalSize;

    /* No of files per file-type. */
    public List<Map.Entry<String,Integer>> filesPerFileType;
    public ZoomableImageLocator filesPerFileTypeChartLocator;
}